Loading...
Searching...
No Matches
raptor::timer< concurrency > Class Template Reference

## Public Member Functions

double | in_seconds () const
double | in_seconds () const
template<concurrent concurrency_>
void | operator+= (timer< concurrency_ > const &other)
timer & | operator= (timer &&)=default
timer & | operator= (timer const &other)
timer & | operator= (timer const &other)=default
void | start ()
void | stop ()
| timer (timer &&)=default
| timer (timer const &other)
| timer (timer const &other)=default

## Private Types

using | rep_t

## Private Attributes

std::chrono::steady_clock::time_point | start_ {std::chrono::time_point<std::chrono::steady_clock>::max()}
std::chrono::steady_clock::time_point | stop_ {}
rep_t | ticks {}

## Static Private Attributes

static constexpr bool | is_concurrent {concurrency == concurrent::yes}

## Member Typedef Documentation

## rep_t

template<concurrent concurrency>

using raptor::timer< concurrency >::rep_t

private

Initial value:
std::conditional_t<is_concurrent, std::atomic<std::chrono::steady_clock::rep>, std::chrono::steady_clock::rep>
std::conditional_t

The documentation for this class was generated from the following file:

- timer.hpp